# Python 3 version of greenlet for EPEL
# python-greenlet is retired in epel7 since it is in
# rhel7-extras -- see rhbz#1108884
# but rhel7-extras only contains the Python 2 version
%global         modname greenlet

# Allow SRPM to be created on Fedora, where python3_pkgversion == 3
# note: this is enough for rpmbuild but to get fedpkg to work
# you need to override python3_pkgversion in ~/.rpmmacros
%if 0%{?fedora}
%global python3_pkgversion 36
%endif

Name:           python3-%{modname}
Version:        0.4.15
Release:        1%{?dist}
Summary:        Lightweight in-process concurrent programming
License:        MIT
URL:            https://github.com/python-greenlet/greenlet
Source0:        %{url}/archive/%{version}/%{modname}-%{version}.tar.gz
BuildRequires:  gcc-c++

BuildRequires:  python-tools
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}}

%description
The greenlet package is a spin-off of Stackless, a version of CPython
that supports micro-threads called "tasklets". Tasklets run
pseudo-concurrently (typically in a single or a few OS-level threads)
and are synchronized with data exchanges on "channels".

%package -n     python%{python3_pkgversion}-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}}

%description -n python%{python3_pkgversion}-%{modname}
The greenlet package is a spin-off of Stackless, a version of CPython
that supports micro-threads called "tasklets". Tasklets run
pseudo-concurrently (typically in a single or a few OS-level threads)
and are synchronized with data exchanges on "channels".

This is the Python 3 version of greenlet.

%package -n     python%{python3_pkgversion}-%{modname}-devel
Summary:        C development headers for python%{python3_pkgversion}-%{modname}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}-devel}
Requires:       python%{python3_pkgversion}-%{modname}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description -n python%{python3_pkgversion}-%{modname}-devel
%{summary}.

%prep
%autosetup -n %{modname}-%{version} -p1

%build
%py3_build

%install
%py3_install
 
%check
%{__python3} setup.py test

%files -n python%{python3_pkgversion}-%{modname}
%license LICENSE LICENSE.PSF
%doc AUTHORS NEWS README.rst
%{python3_sitearch}/%{modname}-*.egg-info
%{python3_sitearch}/%{modname}*.so

%files -n python%{python3_pkgversion}-greenlet-devel
%{_includedir}/python%{python3_version}*/%{modname}/

%changelog
* Thu Jul  4 2019 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.4.15-1
- Update to 0.4.15 (#1697782)

* Thu Mar 07 2019 Troy Dawson <tdawson@redhat.com>
- Rebuilt to change main python from 3.4 to 3.6

* Tue Jul 11 2017 Michel Alexandre Salim <releng@fedoraproject.org> - 0.4.12-1
- Initial el7 package, based on python-greenlet-0.4.11-3
